package org.bdware.sc;

import org.apache.logging.log4j.Logger;

import java.io.PrintStream;

public class LoggerPrintStream extends PrintStream {
    public LoggerPrintStream(Logger logger) {
        super(System.out, true);
        this.logger = logger;
    }

    Logger logger;

    @Override
    public void println(String str) {
        logger.info(str);
    }
}
